Subject: URGENT: Issue related to RFC 3376 !

From: Rajesh Garg MIN <[email-masked]>
Date: Tue, 4 Apr 2006 17:19:06 +0530

Hi,

 I was implementing RFC 3376 and got some doubt.
 I posted to the author of the RFC too, but didn't get any response.

 So finally posting to you.
 
In section 5.2 of RFC 3376, 5 sequential steps are given to handle the 
received query from the multicast router.
I feel the following case is not handled properly in these steps

"If new query is Group and Source Specific query and there is pending 
response for this group and recorded source list for the group is empty 
(i.e. previous query was Group Specific query)"

In this case, source list will be cleared as per step 4 of section 5.2. 
But I feel the source list should be recorded to generate the report 
accordingly.
Please look into the matter.

Thanks and Regards
Rajesh Garg

***********************  FSS- Confidential   ***********************

***********************  FSS- Confidential   ***********************